package be.iminds.ilabt.jfed.highlevel.jobs.states;

import be.iminds.ilabt.jfed.experiment.tasks.ExperimentTaskStatus;
import be.iminds.ilabt.jfed.highlevel.jobs.Job;
import be.iminds.ilabt.jfed.highlevel.jobs.SetupSoftwareExperimentJob;
import be.iminds.ilabt.jfed.highlevel.jobs.State;
import be.iminds.ilabt.jfed.lowlevel.JFedException;

import javax.annotation.Nonnull;

public class AssureAllSshClosedStateSlice extends State {
    @Nonnull private final SetupSoftwareExperimentJob setupSoftwareExperimentJob;

    protected AssureAllSshClosedStateSlice(SetupSoftwareExperimentJob setupSoftwareExperimentJob) {
        super("Close All SSH Connections");
        this.setupSoftwareExperimentJob = setupSoftwareExperimentJob;
    }

    @Nonnull
    @Override
    protected ExperimentTaskStatus executeState(Job<?> job) throws InterruptedException, JFedException {
        setupSoftwareExperimentJob.closeAllSshConnections();
        return ExperimentTaskStatus.SUCCESS;
    }
}
